Page MenuHomePhabricator

[gn] Support dots in CMake paths in the sync script
ClosedPublic

Authored by phosek on Apr 15 2019, 3:13 PM.

Diff Detail

Repository
rL LLVM

Event Timeline

phosek created this revision.Apr 15 2019, 3:13 PM
Herald added projects: Restricted Project, Restricted Project. · View Herald TranscriptApr 15 2019, 3:13 PM
Herald added subscribers: llvm-commits, Restricted Project, mgorny, kubamracek. · View Herald Transcript
bryant added a subscriber: bryant.Apr 15 2019, 3:16 PM

Drive-by.

llvm/utils/gn/build/sync_source_lists_from_cmake.py
28 ↗(On Diff #195259)

\.?

bryant added inline comments.Apr 15 2019, 3:19 PM
llvm/utils/gn/build/sync_source_lists_from_cmake.py
28 ↗(On Diff #195259)

My mistake, disregard.

Looks good, but I don't understand the CMake change.

compiler-rt/lib/sanitizer_common/CMakeLists.txt
122 ↗(On Diff #195259)

Are you intentionally removing this?

phosek marked an inline comment as done.Apr 16 2019, 4:11 PM
phosek added inline comments.
compiler-rt/lib/sanitizer_common/CMakeLists.txt
122 ↗(On Diff #195259)

After the sync_source_lists_from_cmake.py change, this one is being flagged, but there are other headers like this one for other architectures, e.g. sanitizer_common_interceptors_vfork_x86_64.inc.S, none of which are listed in the CMake file, so I figured it's better to remove this one to make this file self-consistent.

thakis accepted this revision.Apr 19 2019, 7:31 AM
This revision is now accepted and ready to land.Apr 19 2019, 7:31 AM
thakis added inline comments.Apr 19 2019, 7:33 AM
compiler-rt/lib/sanitizer_common/CMakeLists.txt
122 ↗(On Diff #195259)

Ok, looks like this file is included somewhere and removing it here shouldn't change the build. Maybe .S.inc would be a better name :)

This revision was automatically updated to reflect the committed changes.